Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1357673 - [abrt] gnome-packagekit: gpk_log_refilter(): gpk-log killed by SIGSEGV
Summary: [abrt] gnome-packagekit: gpk_log_refilter(): gpk-log killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-packagekit
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:2e2b44c728ff8c715b5b29450a0...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-18 20:16 UTC by Olivier Crête
Modified: 2017-08-08 15:41 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 15:41:02 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2016-07-18 20:16 UTC, Olivier Crête
no flags Details
File: cgroup (deleted)
2016-07-18 20:16 UTC, Olivier Crête
no flags Details
File: core_backtrace (deleted)
2016-07-18 20:16 UTC, Olivier Crête
no flags Details
File: dso_list (deleted)
2016-07-18 20:17 UTC, Olivier Crête
no flags Details
File: environ (deleted)
2016-07-18 20:17 UTC, Olivier Crête
no flags Details
File: exploitable (deleted)
2016-07-18 20:17 UTC, Olivier Crête
no flags Details
File: limits (deleted)
2016-07-18 20:17 UTC, Olivier Crête
no flags Details
File: maps (deleted)
2016-07-18 20:17 UTC, Olivier Crête
no flags Details
File: mountinfo (deleted)
2016-07-18 20:17 UTC, Olivier Crête
no flags Details
File: namespaces (deleted)
2016-07-18 20:17 UTC, Olivier Crête
no flags Details
File: open_fds (deleted)
2016-07-18 20:17 UTC, Olivier Crête
no flags Details
File: proc_pid_status (deleted)
2016-07-18 20:17 UTC, Olivier Crête
no flags Details
File: var_log_messages (deleted)
2016-07-18 20:17 UTC, Olivier Crête
no flags Details

Description Olivier Crête 2016-07-18 20:16:53 UTC
Description of problem:
Crashes on start!!

Version-Release number of selected component:
gnome-packagekit-3.20.0-1.fc24

Additional info:
reporter:       libreport-2.7.1
backtrace_rating: 4
cmdline:        gpk-log
crash_function: gpk_log_refilter
executable:     /usr/bin/gpk-log
global_pid:     9004
kernel:         4.5.7-300.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           CCpp
uid:            500

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gpk_log_refilter at gpk-log.c:556
 #1 gpk_log_entry_filter_cb at gpk-log.c:649
 #2 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:86
 #7 gtk_widget_event_internal at gtkwidget.c:7705
 #8 gtk_window_propagate_key_event at gtkwindow.c:7926
 #9 gtk_window_key_release_event at gtkwindow.c:7977
 #10 _gtk_marshal_BOOLEAN__BOXEDv at gtkmarshalers.c:131
 #11 _g_closure_invoke_va at gclosure.c:867
 #14 gtk_widget_event_internal at gtkwidget.c:7705
 #15 propagate_event at gtkmain.c:2638

Potential duplicate: bug 710870

Comment 1 Olivier Crête 2016-07-18 20:16:57 UTC
Created attachment 1181267 [details]
File: backtrace

Comment 2 Olivier Crête 2016-07-18 20:16:58 UTC
Created attachment 1181268 [details]
File: cgroup

Comment 3 Olivier Crête 2016-07-18 20:16:59 UTC
Created attachment 1181269 [details]
File: core_backtrace

Comment 4 Olivier Crête 2016-07-18 20:17:00 UTC
Created attachment 1181270 [details]
File: dso_list

Comment 5 Olivier Crête 2016-07-18 20:17:01 UTC
Created attachment 1181271 [details]
File: environ

Comment 6 Olivier Crête 2016-07-18 20:17:02 UTC
Created attachment 1181272 [details]
File: exploitable

Comment 7 Olivier Crête 2016-07-18 20:17:03 UTC
Created attachment 1181273 [details]
File: limits

Comment 8 Olivier Crête 2016-07-18 20:17:04 UTC
Created attachment 1181274 [details]
File: maps

Comment 9 Olivier Crête 2016-07-18 20:17:05 UTC
Created attachment 1181275 [details]
File: mountinfo

Comment 10 Olivier Crête 2016-07-18 20:17:06 UTC
Created attachment 1181276 [details]
File: namespaces

Comment 11 Olivier Crête 2016-07-18 20:17:07 UTC
Created attachment 1181277 [details]
File: open_fds

Comment 12 Olivier Crête 2016-07-18 20:17:08 UTC
Created attachment 1181278 [details]
File: proc_pid_status

Comment 13 Olivier Crête 2016-07-18 20:17:09 UTC
Created attachment 1181279 [details]
File: var_log_messages

Comment 14 Fedora End Of Life 2017-07-25 21:52:32 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2017-08-08 15:41:02 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.